/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: J2WDLSharedEndpointImpl.java 62602 2011-04-21 14:51:41Z kgrucci $
 */

/* Copyright (c) 2003 Oracle Corporation.  All rights reserved.  */
package com.sun.ts.tests.jaxws.sharedwebservices.doclitservice;

import javax.xml.ws.WebServiceException;

import javax.jws.WebService;

@WebService(
    portName="J2WDLSharedEndpointPort",
    targetNamespace="http://doclitservice.org/wsdl",
    serviceName="J2WDLShared",
    endpointInterface="com.sun.ts.tests.jaxws.sharedwebservices.doclitservice.J2WDLSharedEndpoint"
)
public class J2WDLSharedEndpointImpl implements J2WDLSharedEndpoint {
    public String helloWorld()  {
        return "hello world";
    }

    public String stringOperation(String param)  {
        return param;
    }

    public String[] arrayOperation()  {
        return new String[] { "one", "two", "three" };
    }

    public J2WDLSharedBean getBean()  {
        return new J2WDLSharedBean(5, "A String");
    }

    public String arrayOperationFromClient(String[] array)  {
        return "success";
    }
}
